Represents a user profile

### Hierarchy

- Profile

## Index

### Constructors

- constructor

### Properties

- _profile

### Methods

- toJSON
- toToken
- fromToken
- makeZoneFile
- validateProofs
- validateSchema

## Constructors

### constructor

- new Profile(profile?: object): Profile

- - Defined in profiles/profile.ts:21

  #### Parameters

  - ##### Default value profile: object = {}

  #### Returns Profile

## Properties

### _profile

_profile: object

- Defined in profiles/profile.ts:21

#### Type declaration

- ##### [key: string]: any

## Methods

### toJSON

- toJSON(): object

- - Defined in profiles/profile.ts:29

  #### Returns object

  - ##### [key: string]: any

### toToken

- toToken(privateKey: string): string

- - Defined in profiles/profile.ts:33

  #### Parameters

  - ##### privateKey: string

  #### Returns string

### Static fromToken

- fromToken(token: string, publicKeyOrAddress?: string | null): Profile

- - Defined in profiles/profile.ts:42

  #### Parameters

  - ##### token: string

  - ##### Default value publicKeyOrAddress: string | null = null

  #### Returns Profile

### Static makeZoneFile

- makeZoneFile(domainName: string, tokenFileURL: string): any

- - Defined in profiles/profile.ts:47

  #### Parameters

  - ##### domainName: string

  - ##### tokenFileURL: string

  #### Returns any

### Static validateProofs

- validateProofs(domainName: string): Promise<any[]>

- - Defined in profiles/profile.ts:51

  #### Parameters

  - ##### domainName: string

  #### Returns Promise<any[]>

### Static validateSchema

- validateSchema(profile: any, strict?: boolean): any

- - Defined in profiles/profile.ts:37

  #### Parameters

  - ##### profile: any

  - ##### Default value strict: boolean = false

  #### Returns any

Generated using TypeDoc